LevelSelectorOrderer (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class LevelSelectorOrderer

    java.lang.Object
      org.neo4j.kernel.AbstractSelectorOrderer<Pair<AtomicInteger,TraversalBranch[]>>
          org.neo4j.kernel.LevelSelectorOrderer

All Implemented Interfaces:
  BranchSelector, SideSelector

    public class LevelSelectorOrderer

extends AbstractSelectorOrderer<Pair<AtomicInteger,TraversalBranch[]>>

Constructor Summary
`LevelSelectorOrderer(BranchSelector startSelector, BranchSelector endSelector, boolean stopDescentOnResult, int maxDepth)`

Method Summary
`protected Pair<AtomicInteger,TraversalBranch[]>` | `initialState()`
`TraversalBranch` | `next(TraversalContext metadata)` Decides the next position ("where to go from here") from the current position, based on the `rules`.

Methods inherited from class org.neo4j.kernel.AbstractSelectorOrderer
`currentSide, endCurrentSelector, getStateForCurrentSelector, nextBranchFromCurrentSelector, nextBranchFromNextSelector, nextSelector, setStateForCurrentSelector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LevelSelectorOrderer

    public LevelSelectorOrderer(BranchSelector startSelector,
                                BranchSelector endSelector,
                                boolean stopDescentOnResult,
                                int maxDepth)

Method Detail

### initialState

    protected Pair<AtomicInteger,TraversalBranch[]> initialState()

  Overrides:
    `initialState` in class `AbstractSelectorOrderer<Pair<AtomicInteger,TraversalBranch[]>>`

### next

    public TraversalBranch next(TraversalContext metadata)

  Description copied from interface: `BranchSelector`
  Decides the next position ("where to go from here") from the current position, based on the `rules`. Since `TraversalBranch` has the `Path.endNode()` of the position and the `Path.lastRelationship()` to how it got there as well as `TraversalBranch#position()`, decisions can be based on the current expansion source and the given rules.

  Returns:
    the next position based on the current position and the `rules` of the traversal.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.